(****************************************)
(* ITA Office97 Style Components        *)
(* Version 1.6                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 ITA Software Labs        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://www.ita.eastsib.ru          *)
(*   http://i-connect.ru/~ita           *)                  
(****************************************)
unit child;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ita_common, ExtCtrls, ita_Office97, Menus;

type
  TChildForm = class(TForm)
    itaDock1: TitaDock;
    itaMDIChildMenuBar1: TitaMDIChildMenuBar;
    mChild: TitaMenuButton;
    opmChild: TitaOfficePopupMenu;
    gsChild: TitaGlyphs;
    Memo1: TMemo;
    Item1: TMenuItem;
    N1: TMenuItem;
    Close1: TMenuItem;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Item1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  ChildCount: integer = 1;
  
var
  ChildForm: TChildForm;

implementation

{$R *.DFM}

uses Main;

procedure TChildForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Action := caFree;
end;

procedure TChildForm.FormCreate(Sender: TObject);
begin
  Caption := Caption + ' ' + IntToStr(ChildCount);
  MChild.Caption := MChild.Caption + ' ' + IntToStr(ChildCount);
  Inc(ChildCount);
end;

procedure TChildForm.Item1Click(Sender: TObject);
begin
  Memo1.Lines.Clear;
  Memo1.Lines.Add('Additional Text');
end;

procedure TChildForm.Close1Click(Sender: TObject);
begin
  Close;
end;

end.
